Get a book transfer
curl --request GET \
--url https://api-sandbox.orum.io/deliver/booktransfers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Orum-Version: <orum-version>'import requests
url = "https://api-sandbox.orum.io/deliver/booktransfers/{id}"
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Orum-Version': '<orum-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api-sandbox.orum.io/deliver/booktransfers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"book_transfer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"book_transfer_reference_id": "<string>",
"amount": 2,
"currency": "USD",
"status_reasons": [
{
"source": {
"reason_code": "insufficient_funds",
"reason_code_message": "<string>"
},
"destination": {
"reason_code": "insufficient_funds",
"reason_code_message": "<string>"
}
}
],
"metadata": {},
"source": {
"subledger_reference_id": "<string>"
},
"destination": {
"subledger_reference_id": "<string>"
}
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Book Transfers
Get a book transfer
Get a book transfer by id
GET
/
deliver
/
booktransfers
/
{id}
Get a book transfer
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version of Deliver and Verify APIs. Use v2022-09-21.
Available options:
v2022-09-21 Path Parameters
Book Transfer ID The unique identifier for the book transfer in UUID format.
Response
successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I